[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.DefaultHandler

Default handler for integer message handlers.

## Declaration

Source position: objpash.inc line 199

`public procedure TObject.DefaultHandler(`
`var message`
`); virtual;`

## Description

DefaultHandler is the default handler for messages. If a message has an unknown message ID (i.e. does not appear in the table with integer message handlers), then it will be passed to DefaultHandler by the Dispatch method.

## See also

Dispatch |  | Dispatch an integer message
DefaultHandlerStr |  | Default handler for string messages.

Documentation generated on: Feb 26 2014